# classes/phing/parser/RootHandler.php

## \RootHandler
jump to top

Root filter class for a phing buildfile.

The root filter is called by the parser first. This is where the phing specific parsing starts. RootHandler decides what to do next.

Extends from
  \AbstractHandler
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.parser
version
  $Revision: 526 $

### Properties

`$configurator= ''`

The phing project configurator object

Details

Type

### Methods

`__construct( \AbstractSAXParser $parser, \ProjectConfigurator $configurator ) :`
Constructs a new RootHandler

The root filter is required so the parser knows what to do. It's called by the ExpatParser that is instatiated in ProjectConfigurator.

It recieves the expat parse object ref and a reference to the configurator

Parameters

Name | Type | Description
--- | --- | ---
$parser | \AbstractSAXParser | The ExpatParser object.
$configurator | \ProjectConfigurator | The ProjectConfigurator object.

`startElement( string $tag, array $attrs ) :`
Kick off a custom action for a start element tag.

The root element of our buildfile is the <project> element. The root filter handles this element if it occurs, creates ProjectHandler to handle any nested tags & attributes of the <project> tag, and calls init.

Parameters

Name | Type | Description
--- | --- | ---
$tag | string | The xml tagname
$attrs | array | The attributes of the tag

Details

throws
  if the first element within our build file is not the >project< element

Documentation was generated by DocBlox 0.13.1.